Upload Session Finish Batch v2
This route helps you commit many files at once into a user’s Dropbox. Use upload_session/start
and upload_session/append:2 to upload file contents. We recommend uploading many files in
parallel to increase throughput. Once the file contents have been uploaded, rather than
calling upload_session/finish, use this route to finish all your upload sessions in a single
request. UploadSessionStartArg.close or UploadSessionAppendArg.close needs to be true for
the last upload_session/start or upload_session/append:2 call of each upload session. The
maximum size of a file one can upload to an upload session is 2^41 - 2^22 (2,199,019,061,248)
bytes. We allow up to 1000 entries in a single request. Calls to this endpoint will count
as data transport calls for any Dropbox Business teams with a limit on the number of data
transport calls allowed per month. For more information, see the Data transport limit page
https://www.dropbox.com/developers/reference/data-transport-limit.
Required scope: files.content.write
Endpoint format: RPC
Authentication: User, Dropbox-API-Select-Admin (Team Admin)
Authentication
OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.
Public clients should use the authorization code flow with PKCE (S256).
For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Headers
Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.
Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.
Request
Response headers
Response
Each entry in UploadSessionFinishBatchArg.entries will appear at the same position
inside UploadSessionFinishBatchResult.entries.